Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object Provides information about a Unix user.

The type is a FxDG-compliant wrapper over the native type. It represents a single entry from the local password database, typically /etc/passwd.

Unix users are part of the file system access rules.

Access to file system objects (as represented by ) is controlled by the file system access permissions, . is a nine-bit field specifying read, write, and execute access for the owner, group, and everyone else (other).

Access by the file's owner is controlled by the bits specified by ( & ). The owner permissions supersede group permissions and other permissions, even if the owner belongs to the group.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the user to get information about.
  Constructs and initializes a new instance of by using the specified entry.

  This constructor wraps , providing framework-compliant naming conventions over the native type.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the user id to get information about.
  Constructs and initializes a new instance of by looking up the specified user id in the local password database file.

  This constructor looks up the specified user id in the local password database.

  The user id does not exist in the lcoal password database.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the user to get information about.
  Constructs and initializes a new instance of by looking up the specified user name in the local password database file.

  This constructor looks up the specified user name in the local password database.

  The user name does not exist in the lcoal password database.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  A containing the user id to get information about.
  Constructs and initializes a new instance of by looking up the specified user id in the local password database file.

  This constructor looks up the specified user id in the local password database.

  The user id does not exist in the lcoal password database.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixUserInfo[] Gets all local users defined in the local password database. A array containing information about all users in the local password database. Insufficient memory to allocate the structure. []
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the login name of the user executing this process. A containing the login name of the user executing this process.

  It's generally more useful to use the LOGNAME environment variable to find out who the user is, as this provides more flexibility.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixUserInfo Get's information about the process' real user. A containing information about the real user the process is executing as.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the real user id of the process. A containing the real user id of the process.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixGroupInfo Gets information about the user's group. A containing information about the group the user belongs to.

  This is equivalent to ().

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the user's group id. A containing the users's group id.

  Access to file system objects (as represented by ) is controlled by the file system access permissions, . is a nine-bit field specifying read, write, and execute access for the owner, group, and everyone else (other).

  Access by the file's owner group is controlled by the bits specified by ( & ). All group members get these access permissions, except for the file's owner (if they belong to the file's owner group).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the users's group's name. A containing the group name that the user belongs to.

  This is equivalent to calling ..

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the user's home directory. A containing the user's home directory.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the user's password. A containing the user's password.

  In years past, this used to contain the user's password. This was later found to be a security problem, as it made it easier to crack the passwords of other users.

  Currently, the actual user password is not stored in the password database, so this property is of little actual use.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the user's real name. A containing the user's actual name, complete with spaces, first name, last name, and anything else the user wishes to provide.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the user's login shell program. A containing the user's login shell program.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.Native.Passwd Converts this instance into an equivalent instance. A instance containingn the same information as this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the user's id. A containing the user's id.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the user's login name. A containing the user's login name.

  This is what the user logs in to the computer as, and is generally limited to eight characters in length.